import java.lang.Class;

public class Entertainment {
    public String activeMediaSource;
    public String nowPlayingMetadata;
    public boolean playState; //true for playing, false for paused  
    
    public Entertainment() {
    	activeMediaSource = "";
    	nowPlayingMetadata = "";
    }

    public Entertainment(String[] sourceParams) { //loads previously played media source at instantiation, Vehicle class handles storing data
            selectSource(sourceParams[0], sourceParams[1]);
    }

    public void selectSource(String source, String params) {
        //source is a string selection from RADIO, USB, AUX, BLUETOOTH
        //params are a delimited string with a URI and metadata
        activeMediaSource = source;
        nowPlayingMetadata = params;
    }

    public String getMetadata() {
        return nowPlayingMetadata;
    }
}
